////////////////////////////////////////////////////////////////////////////
// chemdefs.h
// definitions about chem2D
// chemsuite
////////////////////////////////////////////////////////////////////////////

#ifndef __CHEMDEFS_H
#define __CHEMDEFS_H

#define chemistryRTTI 12377 // base number for chemistry RTTI

#include <qstring.h>

typedef enum
{
SELECT_TOOL   = 0,
LINE_TOOL     = 1,
SBUNDER_TOOL  = 2,
SBHIGH_TOOL   = 3,
TEXT_TOOL     = 4,
CPENTANE_TOOL = 5,
CICLE_TOOL    = 6,
AROMA_TOOL    = 7
} TOOL;

typedef enum
{
SINGLE_BOND = 0,
DOUBLE_BOND = 1,
TRIPLE_BOND = 2,
UPLA_BOND   = 3,
HPLA_BOND   = 4
} BondStyle;

typedef struct _Atom
{
int pos; // posotion of the atom on Molecule
QString symbol;
int valence;
} ATOM;

#endif
